package org.dromara.settlement.api.domain;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class AccountSyn implements Serializable{
    /**
	 *
	 */
	private static final long serialVersionUID = -318137089612106814L;

	private Integer id;

    private Byte synLock;

    private Date synTime;

    private String synPosition;

    private Short type;

    private String bankType;

    private String bankCard;

    private Long balance;

    private Long addAmount;

    private Long reductionAmount;

    private List<AccountLog> logs;

    private Long unitId;

    private String trxnbrs;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Byte getSynLock() {
        return synLock;
    }

    public void setSynLock(Byte synLock) {
        this.synLock = synLock;
    }

    public Date getSynTime() {
        return synTime;
    }

    public void setSynTime(Date synTime) {
        this.synTime = synTime;
    }

    public String getSynPosition() {
        return synPosition;
    }

    public void setSynPosition(String synPosition) {
        this.synPosition = synPosition;
    }

    public Short getType() {
        return type;
    }

    public void setType(Short type) {
        this.type = type;
    }

    public String getBankType() {
        return bankType;
    }

    public void setBankType(String bankType) {
        this.bankType = bankType;
    }

    public String getBankCard() {
        return bankCard;
    }

    public void setBankCard(String bankCard) {
        this.bankCard = bankCard;
    }

    /**
     * 新收入金额
     * @author 张涛
     * @date 2021年9月3日
     * @return
     */
	public Long getAddAmount() {
		return addAmount;
	}

	public void setAddAmount(Long addAmount) {
		this.addAmount = addAmount;
	}

	/**
	 * 新支出金额
	 * @author 张涛
	 * @date 2021年9月3日
	 * @return
	 */
	public Long getReductionAmount() {
		return reductionAmount;
	}

	public void setReductionAmount(Long reductionAmount) {
		this.reductionAmount = reductionAmount;
	}

	public List<AccountLog> getLogs() {
		return logs;
	}

	public void setLogs(List<AccountLog> logs) {
		this.logs = logs;
	}

	public Long getUnitId() {
		return unitId;
	}

	public void setUnitId(Long unitId) {
		this.unitId = unitId;
	}

	public Long getBalance() {
		return balance;
	}

	public void setBalance(Long balance) {
		this.balance = balance;
	}

	public String getTrxnbrs() {
		return trxnbrs;
	}

	public void setTrxnbrs(String trxnbrs) {
		this.trxnbrs = trxnbrs;
	}
}
